Summary:   A binary file delta generator and an RCS replacement library
Name:      xdelta
Version:   1.1.1
Release:   2
Source:    ftp://www.xcf.berkeley.edu/pub/xdelta/%{name}-%{version}.tar.gz
Copyright: GPL
Group:     Development/Tools
BuildRoot: /tmp/%{name}-%{version}-root

%description
Xdelta (X for XCF: the eXperimental Computing Facility at Berkeley)
is a binary delta generator (like a diff program for binaries) and
an RCS version control replacement library. The Xdelta library performs
its work independently of the actual format used to encode the file and
is intended to be used by various higher-level programs such as XCF's
Project Revision Control System (PRCS).  PRCS is a front end for a version
control toolset.  Xdelta uses a binary file delta algorithm to replace the
standard diff program used by RCS.

%package devel
Summary:   Static library and header files for Xdelta development
Group:     Development/Libraries
PreReq:    /sbin/install-info
Requires:  %{name} = %{version}

%description devel
This package contains the Xdelta static libraries and header files
required to develop Xdelta-based applications.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --x-includes=/usr/lib/glib/include
make all

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/info

make DESTDIR=$RPM_BUILD_ROOT install

install -m644 doc/xdelta.info $RPM_BUILD_ROOT/usr/info
gzip -9nf $RPM_BUILD_ROOT/usr/info/xdelta.info

strip $RPM_BUILD_ROOT/usr/{bin/*,lib/lib*.so.*.*} || :

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/xdelta.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/xdelta.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README xdelta.magic
/usr/bin/xdelta
%attr(755,root,root) /usr/lib/lib*.so.*.*
%attr(-,root,man) /usr/man/man1/*

%files devel
%defattr(-,root,root)
/usr/bin/xdelta-config
/usr/include/*
/usr/info/*.info*
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/share/aclocal/xdelta.m4

%changelog
* Mon May 24 1999 Arne Coucheron <arneco@online.no>
  [1.1.1-2]
- changed the Summary tag
- changed the Group tag
- changed the %description text
- using DESTDIR during install

* Sun Apr 11 1999 Arne Coucheron <arneco@online.no>
  [1.1.1-1]

* Wed Mar 17 1999 Arne Coucheron <arneco@online.no>
  [1.0.6-1]

* Thu Mar 11 1999 Arne Coucheron <arneco@online.no>
  [1.0.5-1]

* Mon Mar 01 1999 Arne Coucheron <arneco@online.no>
  [1.0.4-1]
- removed Requires:

* Fri Feb 26 1999 Arne Coucheron <arneco@online.no>
  [1.0.3-1]

* Thu Feb 04 1999 Arne Coucheron <arneco@online.no>
  [1.0.2-1]
- upped requirement for glib to 1.1.9
- added xdelta-config and xdelta.m4 to devel package

* Wed Dec 30 1998 Arne Coucheron <arneco@online.no>
  [1.0.1-1]
- upped requirement for glib to 1.1.5

* Tue Oct 06 1998 Arne Coucheron <arneco@online.no>
  [1.0.0-1]
- PreReq for install-info moved to devel package
- added Requires: for glib and zlib

* Wed Sep 02 1998 Arne Coucheron <arneco@online.no>
  [0.23-1]

* Tue Jul 07 1998 Arne Coucheron <arneco@online.no>
  [0.22-1]
- removed running of automake, problem fixed in sources

* Sat Jul 04 1998 Arne Coucheron <arneco@online.no>
  [0.21-1]
- added xdelta.magic to %doc
- added running of automake before configure to make this version build
- changed %defattr

* Sat Jun 27 1998 Arne Coucheron <arneco@online.no>
  [0.20-1]

* Sun Jun  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.19-3]
- fixed configuring sources by add --x-includes=/usr/lib/glib/include
  configure parameter (for glibconfig.h),
- changed Source url to ftp://www.xcf.berkeley.edu/pub/xdelta/
- fixed %defattr macros (thanks to Ren Wuttke <Rene.Wuttke@gmx.net>).

* Wed May  6 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.19-2]
- %%{version} macro instead %%{PACKAGE_VERSION},
- added -q %setup parameter,
- added using %%{name} macro in Buildroot, Source and Rquires in devel
  fields.

* Sun May 03 1998 Arne Coucheron <arneco@online.no>
  [0.19-1]
- removed some older changelogs

* Wed Apr 28 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.18-2]
- removed COPYING from %doc (copyright statment is in Copyright field),
- /sbin/ldconfig is now -p parameter in %post, %postun,
- replaced "mkdir -p" with "install -d" in %install,
- added "Requires: xdelta = %%{PACKAGE_VERSION}" for devel,
- added using %defattr macro in %files (requires rpm >= 2.4.99),
- added using predefined macro %%{PACKAGE_VERSION} instead %{version},
- changed permission on /usr/lib/lib*.so links to 644,
- removed /usr/lib/libxdelta.la from devel,
- added striping /usr/lib/lib*.so.*.* libs,
- Buildroot changed to /tmp/xdelta-%%{PACKAGE_VERSION}-root.

* Fri Apr 24 1998 Arne Coucheron <arneco@online.no>
  [0.18-1]
- removed the fakeglib patch

* Wed Apr 08 1998 Arne Coucheron <arneco@online.no>
  [0.15-2]
- splitted the package into a main and devel package

* Sat Apr 04 1998 Arne Coucheron <arneco@online.no>
  [0.15-1]